Author Topic: Update cmake  (Read 1032 times)

guth

  • Community Member
  • Posts: 93
  • Hero Points: 7
Update cmake
« on: June 24, 2019, 01:52:22 pm »
Could you please update cmake to some more recent version than 3.8.0? I have colleagues that have started to refer to version 3.13. If such late version is stricly needed, I don't know, but they still use a later version than 3.8.

Lee

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 1275
  • Hero Points: 126
Re: Update cmake
« Reply #1 on: June 24, 2019, 02:19:19 pm »
There is an 3.11.4 update available for download, but if you need something more updated than that I will take a look this afternoon and see if I can merge updates to 3.14.5.  Which platform are you on so I can prioritize?

3.11.4 builds are here just in case it may work for you:
https://support.slickedit.com/outbound/cmake/cmake-3.11.4/cmake-3.11.4-win64-x64.zip
https://support.slickedit.com/outbound/cmake/cmake-3.11.4/cmake-3.11.4-Linux-x86_64.tar.gz
https://support.slickedit.com/outbound/cmake/cmake-3.11.4/cmake-3.11.4-Darwin-x86_64.tar.gz

guth

  • Community Member
  • Posts: 93
  • Hero Points: 7
Re: Update cmake
« Reply #2 on: June 24, 2019, 08:10:12 pm »
I'm on Ubuntu 18.04 LTS. I think I built the cmake I'm using from source I downloaded from your provided link. The provided executables complained about some missing libraries I didn't bother to investigate further.

Lee

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 1275
  • Hero Points: 126
Re: Update cmake
« Reply #3 on: June 25, 2019, 07:17:09 pm »
I have updated the source to build with 3.14.5, don't have an executables ready to pack yet.  If you can build from source you can download link below, and just let me know if you have any issues.

https://support.slickedit.com/outbound/cmake/cmake-3.14.5/cmake-3.14.5_src.zip
« Last Edit: June 25, 2019, 07:19:15 pm by Lee »

guth

  • Community Member
  • Posts: 93
  • Hero Points: 7
Re: Update cmake
« Reply #4 on: July 24, 2019, 09:42:01 pm »
Back from vacation now. I have built this on Ubuntu and it works. Thanks!